summaryrefslogtreecommitdiffstats
path: root/abs/core/linhes-scripts/shootscreens.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/linhes-scripts/shootscreens.sh')
-rwxr-xr-xabs/core/linhes-scripts/shootscreens.sh23
1 files changed, 15 insertions, 8 deletions
diff --git a/abs/core/linhes-scripts/shootscreens.sh b/abs/core/linhes-scripts/shootscreens.sh
index 7b1260c..bb45252 100755
--- a/abs/core/linhes-scripts/shootscreens.sh
+++ b/abs/core/linhes-scripts/shootscreens.sh
@@ -10,6 +10,14 @@
if [ "$1" == "1" ]; then
OSD=1
+ . /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+ }
else
OSD=0
fi
@@ -23,15 +31,14 @@ fi
increment=$(expr 100 / $vidcount)
for vid in `mysql -u root mythconverg -B -e "select filename from videometadata where coverfile=\"No Cover\";" | grep -v -e "^filename$"`
do
- if [ $OSD == 1 ]; then
- osd_cat --barmode=percentage --percentage=$percentage --pos=middle --align=center --color=white --text="Generating Video Thumbnails..." --font=$FONT --shadow=3 --color=yellow --delay=0 &
- percentage=$(expr $percentage + $increment)
- fi
-
- screenshooter.sh -v $vid
+ if [ $OSD == 1 ]; then
+ osd_cat --barmode=percentage --percentage=$percentage --pos=middle --align=center --text="Generating Video Thumbnails..." --delay=0 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
+ percentage=$(expr $percentage + $increment)
+ fi
+ screenshooter.sh -v $vid
done
if [ $OSD == 1 ]; then
- killall -9 osd_cat
- osd_cat --barmode=percentage --percentage=100 --pos=middle --align=center --color=white --text="Video Thumbnails Generated!" --font=$FONT --shadow=3 --color=yellow --delay=3 &
+ killall -9 osd_cat
+ osd_cat --barmode=percentage --percentage=100 --pos=middle --align=center --text="Video Thumbnails Generated!" --delay=3 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
fi
} \ No newline at end of file